package com.miaxis.feign.service;

import com.miaxis.common.config.FeignConfig;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * 微信提现接口
 * @author chenjian
 */
@FeignClient(name="wxWithdrawalService",
        url = "https://api.mch.weixin.qq.com/mmpaymkttransfers",configuration = FeignConfig.class)
public interface IWxWithdrawalService {


    /**
     * 提现接口
     */
    @PostMapping(value = "/promotion/transfers",consumes = MediaType.APPLICATION_XML_VALUE,produces = MediaType.APPLICATION_XML_VALUE)
    String transfers(@RequestBody String params);






}
